<?php
/**
 * RolesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\AdminAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Admin Auth
 *
 * Авторизация системных пользователей
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\AdminAuthClient;

use \Ensi\AdminAuthClient\Configuration;
use \Ensi\AdminAuthClient\ApiException;
use \Ensi\AdminAuthClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * RolesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\AdminAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class RolesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createRole
     *
     * Создание объекта типа Role.
     *
     */
    public function testCreateRole()
    {
    }

    /**
     * Test case for deleteRole
     *
     * Удаление объекта типа Role.
     *
     */
    public function testDeleteRole()
    {
    }

    /**
     * Test case for getRole
     *
     * Получение объекта типа Role.
     *
     */
    public function testGetRole()
    {
    }

    /**
     * Test case for patchRole
     *
     * Обновления части полей объекта типа Role.
     *
     */
    public function testPatchRole()
    {
    }

    /**
     * Test case for searchRoles
     *
     * Поиск объектов типа Role.
     *
     */
    public function testSearchRoles()
    {
    }
}
